<html>

<head>
  <title>
    Imersão Dev - Atividade 02
  </title>
  <link rel="stylesheet" href="styles/main.css">
</head>

<body>
  <div class="container">
    <img src="https://www.alura.com.br/assets/img/imersoes/dev-2021/logo-imersao-calculadora.svg" class="page-logo"
      alt="">
    <h1 class="page-title">
      Quem é esse Pokémon?
    </h1>
    <h2>Gerações Presentes no Quem é esse Pokémon?</h2>
    <input type="checkbox" checked id="first-gen" name="generation-checkboxes" value="first-gen"
      onchange="evalValidGeneration(this)">
    <label class="gen_label" for="first-gen">1ª</label>
    <input type="checkbox" id="second-gen" name="generation-checkboxes" value="second-gen"
      onchange="evalValidGeneration(this)">
    <label class="gen_label" for="second-gen">2ª</label>
    <input type="checkbox" id="third-gen" name="generation-checkboxes" value="third-gen"
      onchange="evalValidGeneration(this)">
    <label class="gen_label" for="third-gen">3ª</label>
    <input type="checkbox" id="fourth-gen" name="generation-checkboxes" value="fourth-gen"
      onchange="evalValidGeneration(this)">
    <label class="gen_label" for="fourth-gen">4ª</label>
    <input type="checkbox" id="fifth-gen" name="generation-checkboxes" value="fifth-gen"
      onchange="evalValidGeneration(this)">
    <label class="gen_label" for="fifth-gen">5ª</label>
    <input type="checkbox" id="sixty-gen" name="generation-checkboxes" value="sixty-gen"
      onchange="evalValidGeneration(this)">
    <label class="gen_label" for="sixty-gen">6ª</label>
    <input type="checkbox" id="seventh-gen" name="generation-checkboxes" value="seventh-gen"
      onchange="evalValidGeneration(this)">
    <label class="gen_label" for="seventh-gen">7ª</label>
    <input type="checkbox" id="eighth-gen" name="generation-checkboxes" value="eighth-gen"
      onchange="evalValidGeneration(this)">
    <label class="gen_label" for="eighth-gen">8ª</label>
    <div class="pokemon-spark">
      <img alt="" id="pokemon-image">
    </div>
    <input type="text" id="pokemon-guess" name="pokemon-guess" placeholder="Quem é Esse Pokémon?">
    <button type="button" onclick="initOrResetSelectedPokemon()">Trocar Pokémon</button>
    <h1 class="page-title">
      Saiba se um Pokémon Evolui
    </h1>
    <input type="text" id="pokemon-chain-search" name="pokemon-guess" placeholder="Nome ou # do Pokémon">
    <h2 id="ans2"></h2>
    <template id="loaderTemplate">
      <div class="loader"></div>
    </template>
  </div>
  <a href="https://alura.com.br/" target="_blank">
    <img src="https://www.alura.com.br/assets/img/home/alura-logo.svg" alt="" class="alura-logo">
  </a>
  <script src="scripts/app.js"></script>
</body>

</html>